import request from '@/utils/request'

// 查询cmc成果归档列表
export function listArchive(query) {
  return request({
    url: '/oa/archive/list',
    method: 'get',
    params: query
  })
}

// 查询cmc成果归档详细
export function getArchive(archiveId) {
  return request({
    url: '/oa/archive/' + archiveId,
    method: 'get'
  })
}

// 新增cmc成果归档
export function addArchive(data) {
  return request({
    url: '/oa/archive',
    method: 'post',
    data: data
  })
}

// 修改cmc成果归档
export function updateArchive(data) {
  return request({
    url: '/oa/archive',
    method: 'put',
    data: data
  })
}

// 删除cmc成果归档
export function delArchive(archiveId) {
  return request({
    url: '/oa/archive/' + archiveId,
    method: 'delete'
  })
}
